//@line 37 "/e/fx19rel/WINNT_5.2_Depend/mozilla/toolkit/mozapps/extensions/content/about.js"

function EM_NS(aProperty)
{
  return "http://www.mozilla.org/2004/em-rdf#" + aProperty;
}

function init()
{
	var extensionID = "urn:mozilla:item:" + "{363c6421-6d58-11dd-876c-001f3a388e21}";

  var bundle = new Glydo.Utils.LocalizedBundle(document);

  var rdfs = Components.classes["@mozilla.org/rdf/rdf-service;1"]
                       .getService(Components.interfaces.nsIRDFService);

  var extensionDB = Components.classes["@mozilla.org/extensions/manager;1"].getService(Components.interfaces.nsIExtensionManager).datasource;

  var extension = rdfs.GetResource(extensionID);
  
  // Name       
  var nameArc = rdfs.GetResource(EM_NS("name"));
  var name = extensionDB.GetTarget(extension, nameArc, true);
  name = name.QueryInterface(Components.interfaces.nsIRDFLiteral).Value;
  // Version
  var versionArc = rdfs.GetResource(EM_NS("version"));
  var version = extensionDB.GetTarget(extension, versionArc, true);
  version = version.QueryInterface(Components.interfaces.nsIRDFLiteral).Value;
  // Description
  var descriptionArc = rdfs.GetResource(EM_NS("description"));
  var description = extensionDB.GetTarget(extension, descriptionArc, true);
  if (description) {
    description = description.QueryInterface(Components.interfaces.nsIRDFLiteral).Value;
  }
  // Home Page URL
  var homepageArc = rdfs.GetResource(EM_NS("homepageURL"));
  var homepage = extensionDB.GetTarget(extension, homepageArc, true);
  if (homepage) {
    homepage = homepage.QueryInterface(Components.interfaces.nsIRDFLiteral).Value;
  }
    
  // Creator
  var creatorArc = rdfs.GetResource(EM_NS("creator"));
  var creator = extensionDB.GetTarget(extension, creatorArc, true);
  if (creator) {
    creator = creator.QueryInterface(Components.interfaces.nsIRDFLiteral).Value;
  }
  
  document.title = bundle.get("about.title", [name]);
  var extensionName = document.getElementById("extensionName");
  if (extensionName) {
  	extensionName.setAttribute("value", name);
  }
  var extensionVersion = document.getElementById("extensionVersion");
  if (extensionVersion) {
  	extensionVersion.setAttribute("value", bundle.get("about.version", [version]));
  }
  var extensionDescription = document.getElementById("extensionDescription");
  if (extensionDescription) {
  	extensionDescription.appendChild(document.createTextNode(description));
  }
  var extensionCreator = document.getElementById("extensionCreator");
  if (extensionCreator) {
  	extensionCreator.setAttribute("value", creator);
  }
  
  var extensionHomepage = document.getElementById("extensionHomepage");
  if (extensionHomepage) {
  	if (homepage) {
	    extensionHomepage.setAttribute("value", homepage);
	    extensionHomepage.setAttribute("tooltiptext", homepage);
	  } else {
	    extensionHomepage.hidden = true;
	  }
  }

  /*
  var sectionProps = [["developersBox", "developer", "extensionDevelopers"],
                      ["translatorsBox", "translator", "extensionTranslators"],
                      ["contributorsBox", "contributor", "extensionContributors"]];

  for (var i = 0; i < sectionProps.length; ++i) {
    var node = document.getElementById(sectionProps[i][0]);
    var arc = rdfs.GetResource(EM_NS(sectionProps[i][1]));
    var targets = extensionDB.GetTargets(extension, arc, true);
    if (!(targets.hasMoreElements()))
      document.getElementById(sectionProps[i][2]).hidden = true;
    else {
      while (targets.hasMoreElements()) {
        var literalValue = targets.getNext().QueryInterface(Components.interfaces.nsIRDFLiteral).Value;
        var label = document.createElement("label");
        label.setAttribute("value", literalValue);
        label.setAttribute("class", "contributor");
        node.appendChild(label);
      }
    }
  }
  */
  
  var acceptButton = document.documentElement.getButton("accept");
  acceptButton.label = bundle.get("about.close");
}


